// Generated by PeakRDL-cheader - A free and open-source header generator
//  https://gitlab.com/sonatest-open-source/PeakRDL-cheader

// NOLINTBEGIN

#ifndef {{header_guard_def}}
#define {{header_guard_def}}

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>
#include <stdbool.h>
{%- if ds.std.static_assert_needs_assert_h %}
#include <assert.h>
{%- endif %}

#pragma pack(push, 1)
